"use strict";
var ProductVisualize;
(function (ProductVisualize) {
    var Platform;
    (function (Platform) {
        function isSupportedPlatform() {
            // Supported platforms. (All lower case to make it case-insensitive)
            var supportedPlatforms = [
                'ipad',
                'iphone',
                'ipod',
                'ipad simulator',
                'iphone simulator',
                'ipod simulator',
            ];
            if (!!navigator.platform) {
                var index = supportedPlatforms.indexOf(navigator.platform.toLowerCase());
                return index >= 0;
            }
            return false;
        }
        Platform.isSupportedPlatform = isSupportedPlatform;
        function isMobileApp() {
            // The D365 mobile app uses the authentication broker user agent
            return /MSAuthHost/.test(window.navigator.userAgent);
        }
        Platform.isMobileApp = isMobileApp;
    })(Platform = ProductVisualize.Platform || (ProductVisualize.Platform = {}));
})(ProductVisualize || (ProductVisualize = {}));
